Name:           lagan
Version:        1.21
Release:        2%{?dist}
Summary:        Local, global, and multiple alignment of DNA sequences

Group:          Applications/Engineering
License:        GPL
URL:            http://lagan.stanford.edu
Source0:        http://lagan.stanford.edu/lagan_web/lagan12.tar.gz
Patch0:         lagan12-chris.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
LAGAN toolkit is a set of tools for local, global, and multiple alignment of
DNA sequences.  Please visit http://lagan.stanford.edu for publications
describing LAGAN and its components.

The 4 main parts of LAGAN are:

1. CHAOS local alignment tool
2. LAGAN pairwise global alignment tool
3. MLAGAN multiple global alignment tool.
4. Shuffle-LAGAN pairwise glocal alignment


%prep
%setup -q -n lagan12
%patch0 -p1 -b .chris
sed -i 's/^CC .*$/CC = gcc $(RPM_OPT_FLAGS)/;
	s/^CPP .*$/CPP = g++ $(RPM_OPT_FLAGS)/' Makefile
sed -i 's|getenv ("LAGAN_DIR")|"%_libdir/lagan"|g' *.c* utils/*.c*
sed -i 's|$ENV{LAGAN_DIR}|"%_libdir/lagan"|g' *.pl utils/*.pl
sed -i 's|$LAGAN_DIR|%_libdir/lagan|g' Readmes/README.shuffle


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir $RPM_BUILD_ROOT/%_libdir/lagan/utils
install -m755 chaos ${RPM_BUILD_ROOT}%{_bindir}
install -m755 mlagan ${RPM_BUILD_ROOT}%{_bindir}
install -m755 lagan.pl ${RPM_BUILD_ROOT}%{_bindir}/lagan
install -m755 slagan.pl ${RPM_BUILD_ROOT}%{_bindir}/slagan
for f in anal_gloc.pl anchors glocal order rechaos.pl; do
  install -m755 $f $RPM_BUILD_ROOT/%_libdir/lagan
done
for f in bin2bl bin2mf cextract cmerge2.pl contigorder cstat dotplot \
  draft.pl fa2xfa getbounds getcontigpos getlength getoverlap Glue \
  mextract.pl mf2bin.pl mpretty.pl mproject.pl mrunfile.pl mrunpairs.pl \
  mrun.pl mviz.pl rc scorealign scorecontigs seqmerge; do
  install -m755 utils/$f $RPM_BUILD_ROOT/%_libdir/lagan/utils
done
install -m644 *.txt $RPM_BUILD_ROOT/%_libdir/lagan
rm -f Readmes/*.chris


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Readmes/* sample.*
%_bindir/chaos
%_bindir/lagan
%_bindir/mlagan
%_bindir/slagan
%_libdir/lagan/



%changelog
* Wed Feb 15 2006 Christian Iseli <Christian.Iseli@licr.org> 1.21-2
 - Rebuild for FE 5.

* Mon Jan 30 2006 Christian Iseli <Christian.Iseli@licr.org> 1.21-1
 - Use _libdir instead of _libexecdir and kill all LAGAN_DIR refs.

* Thu Nov 17 2005 Christian Iseli <Christian.Iseli@licr.org> 1.21-0
 - Create spec file.
